(TeX-add-style-hook
 "isa"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("article" "a4paper" "twoside" "12pt")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "left=30mm" "right=30mm" "top=32mm" "bottom=36mm") ("inputenc" "utf8") ("fontenc" "T1") ("parskip" "parfill")))
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "nolinkurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperbaseurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperimage")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperref")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (TeX-run-style-hooks
    "latex2e"
    "defines/bytefield"
    "defines/instructions"
    "instructions/nop"
    "instructions/read-information"
    "instructions/read-fitness"
    "instructions/read-readout"
    "instructions/write-weight"
    "instructions/swap-cell-storage"
    "instructions/reset-buffers"
    "instructions/read-rule-vectors"
    "instructions/read-rule-numbers"
    "instructions/write-rule"
    "instructions/set-rules-active"
    "instructions/develop"
    "instructions/read-state-one"
    "instructions/read-state-all"
    "instructions/read-type-one"
    "instructions/read-type-all"
    "instructions/write-state-one"
    "instructions/write-state-row"
    "instructions/write-type-one"
    "instructions/write-type-row"
    "instructions/fill-cells"
    "instructions/write-lut"
    "instructions/config"
    "instructions/readback"
    "instructions/step"
    "instructions/break"
    "instructions/store"
    "instructions/end"
    "instructions/jump"
    "instructions/jump-equal"
    "instructions/counter-increment"
    "instructions/counter-reset"
    "article"
    "art12"
    "geometry"
    "inputenc"
    "fontenc"
    "lmodern"
    "xcolor"
    "hyperref"
    "graphicx"
    "parskip"
    "xifthen"
    "bytefield"
    "fancyhdr"
    "mathtools")
   (LaTeX-add-mathtools-DeclarePairedDelimiters
    '("ceil" "")
    '("floor" "")))
 :latex)

