import sbt._

name := "plan9"
version := "0.1"

scalaVersion := "2.11.7"
scalacOptions ++= Seq(
  "-deprecation",
  "-feature",
  "-language:reflectiveCalls",
  "-language:implicitConversions"
)
resolvers ++= Seq(
  "scct-github-repository" at
    "http://mtkopone.github.com/scct/maven-repo"
)
libraryDependencies += "edu.berkeley.cs" %% "chisel" % "latest.release"
libraryDependencies += "com.novocode" % "junit-interface" % "0.10" % "test"
libraryDependencies += "org.scalatest" %% "scalatest" % "2.2.4" % "test"
libraryDependencies += "org.scala-lang" % "scala-compiler" % "2.11.8"
