package plan9

import Chisel._

class Resetter extends Module {
  val io = new Bundle {
    val bufferReset = Bool(OUTPUT)
    val operation = UInt(INPUT, width=log2Up(Types.resetterOperation.size))
    val run = Bool(INPUT)
  }

  val resetReg = Reg(next=(io.run === Bool(true)
    && io.operation === Types.resetterOperation('reset_buffers)
  ))

  io.bufferReset := resetReg
}
