/*****************************************************************************
 * Utility
 *
 * Various utility functions
 *
 * Per Thomas Lundal 2015
 * Øyvind Robertsen 2017
 *****************************************************************************/

#ifndef UTILITY_H
#define UTILITY_H

#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>

int div_ceil(int dividend, int divisor);

int log2_floor(uint32_t value);
int log2_ceil(uint32_t value);

int bits(uint32_t amount);

uint32_t create_bitmask(uint32_t bits);

void print_bits(size_t const size, void const * const ptr);

#endif
