# plan9

plan9 is an implementation of the Cellular Automata Research Platform (CARP)
developed at NTNU targeting Convey WX coprocessors. It consists of a hardware
component implemented using Chisel, Verilog and VHDL (residing
in [/hardware](hardware/)) and a software API written in C
([/software](software/)). For instructions on synthesizing and deploying the
hardware component, see [`hardware/README.md`](hardware/README.md). Similarily for the
API, [`software/README.md`](software/README.md).
