package plan9

import Chisel._

object Types {
  val informationSenderOperation = Enum(UInt(), List('nop, 'send))
  val cellWriterReaderOperation = Enum(UInt(), List(
    'nop, 'fillAll, 'readStateOne, 'readStateAll, 'readTypeOne, 'readTypeAll,
    'writeStateOne, 'writeStateRow, 'writeTypeOne, 'writeTypeRow
  ))
  val cellularAutomataOperation = Enum(UInt(), List('nop, 'configure, 'readback, 'step))
  val developmentOperation = Enum(UInt(), List('nop, 'develop, 'setRulesActive))
  val lutWriterOperation = Enum(UInt(), List('nop, 'store))
  val ruleWriterOperation = Enum(UInt(), List('nop, 'store))
  val ruleVectorReaderOperation = Enum(UInt(), List('nop, 'readN))
  val ruleNumbersReaderOperation = Enum(UInt(), List('nop, 'readAll))
  val fitnessSenderOperation = Enum(UInt(), List('nop, 'send))
  val readoutSenderOperation = Enum(UInt(), List('nop, 'send))
  val cellStorageOperation = Enum(UInt(), List('nop, 'swap))
  val cellStorageMuxSelect = Enum(UInt(), List('writerReaderAndCellularAutomata, 'development))
  val sendBufferMuxSelect = Enum(UInt(), List(
    'cellWriterReader, 'informationSender, 'ruleVectorReader,
    'ruleNumbersReader, 'fitnessSender, 'readoutSender
  ))
  val resetterOperation = Enum(UInt(), List(
    'nop, 'reset_buffers
  ))
  val readoutOperation = Enum(UInt(), List('nop, 'writeWeight, 'step))
}
