/***************************************************************************
 * CARP SNN model
 *
 * An implementation of spiking neural networks compatible with the CARP
 * platform. Supports 2^16 8-bit weights. Layers are fully connected.
 *
 * Øyvind Robertsen 2017
 **************************************************************************/

#ifndef SNN_H
#define SNN_H

#include <stdio.h>
#include <stdlib.h>
#include "types.h"

#define MAX_WEIGHT 255

void print_network(snn_t* network);
snn_t* create_network(carp_info_t* info);

#endif
